--- title: "Provide supporting information as attachments" description: "Add supporting documentation for a raised dispute, and manage attachments." url: "https://docs.adyen.com/issuing/raise-disputes/attach-supporting-information" source_url: "https://docs.adyen.com/issuing/raise-disputes/attach-supporting-information.md" canonical: "https://docs.adyen.com/issuing/raise-disputes/attach-supporting-information" last_modified: "2026-05-25T12:55:01+02:00" language: "en" --- # Provide supporting information as attachments Add supporting documentation for a raised dispute, and manage attachments. [View source](/issuing/raise-disputes/attach-supporting-information.md) Before you submit a dispute, we recommend that you include attachments as supporting information. Examples of supporting information are screenshots or photos of receipts, email communication with the merchant, or any other information the card scheme can review to make a decision on the dispute. ## Requirements Before you begin, take into account the requirements, limitations, and preparations described under [Raise disputes](/issuing/raise-disputes#requirements). ## Upload an attachment 1. Base64-encode any attachments the cardholder provides for upload with their dispute. 2. Make a POST [/disputes/{disputeId}/attachments](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments) request, specifying the [disputeId](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#path-disputeId) as a path parameter and the following request parameters. * When you present the screen to cardholders to upload attachments, make sure they know which file types we support (JPEG, PDF, TIFF). * Make sure any photos you attach to the dispute are in-focus and not blurry. * Attachments must be in Base64-encoded string format. * If a cardholder wants to upload multiple attachments, you need to make a separate POST request for each attachment. | Parameter name | Type | Required | Description | | ----------------------------------------------------------------------------------------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | [attachmentType](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#request-attachmentType) | string | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The type of information contained in the attachment. Possible values:* **receipt** * **correspondence** * **other** | | [fileName](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#request-fileName) | string | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The name of the attachment, including its filename extension. Minimum length: four characters, Maximum length: 17 characters, including the extension type. Supported filename extensions:* **jpeg** * **pdf** * **tiff**Examples:* **airfare24\_03.jpeg** * **hotel24\_0315.jpeg** | | [content](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#request-content) | string | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The content of the image. An attachment must be Base64-encoded data. | **Upload an attachment as supporting information for a dispute** ```bash curl https://balanceplatform-api-test.adyen.com/btl/api/v4/disputes/40QH6J64D0HK7ZLG/attachments \ -H 'content-type: application/json' \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -X POST \ -d '{ "fileName" : "240328UAL03.jpeg", "attachmentType" : "receipt", "content": "PITYERi0xLjQKJcOkw7zDts...OfCjIgMCBv+f/ub0j6JPRX+E3EmC==" }' ``` 3. In the response, note the [attachmentId](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#responses-200-attachmentId). You need the ID if you want to later [get the attachment](#get-an-attachment), or [delete the attachment](#delete-an-attachment). | Parameter name | Type | Description | | ------------------------------------------------------------------------------------------------------------------------------------------- | ------ | ---------------------------------------- | | [attachmentId](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#responses-200-attachmentId) | string | The unique identifier of the attachment. | **Response** ```json { "attachmentId": "TXAT42225223223N5LNW5PC9S62DSH" } ``` ## Get an attachment You can retrieve an attachment associated with a dispute when you know the specific dispute ID and attachment ID you want. 1. Make a GET [/disputes/{disputeId}/attachments/{attachmentId}](https://docs.adyen.com/api-explorer/transfers-api/latest/get/disputes/\(disputeId\)/attachments/\(attachmentId\)) request, specifying the dispute [id](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes#responses-200-id) and the [attachmentId](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#responses-200-attachmentId) as path parameters. **Get an attachment by attachmentId** ```bash curl https://balanceplatform-api-test.adyen.com/btl/api/v4/disputes/40QH6J64D0HK7ZLG/attachments/TXAT42225223223N5LNW5PC9S62DSH \ -H 'content-type: application/json' \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -X GET ``` 2. If you want to view the attachment, Base64-decode the `content` string from the response. The response also contains the `id`, the `fileName` and `attachmentType` type of attachment. **Response** ```json { "id": "TXAT42225223223N5LNW5PC9S62DSH", "fileName": "240328UAL03.jpeg", "attachmentType" : "receipt", "content": "PITYERi0xLjQKJcOkw7zDts...OfCjIgMCBv+f/ub0j6JPRX+E3EmC==" } ``` ## Get a list of attachments You can retrieve a list of all attachments associated with a specific dispute. 1. Make a GET [/disputes/{disputeId}/attachments/](https://docs.adyen.com/api-explorer/transfers-api/latest/get/disputes/\(disputeId\)/attachments) request, specifying the [disputeId](https://docs.adyen.com/api-explorer/transfers-api/latest/post/disputes/\(disputeId\)/attachments#path-disputeId) as a path parameter. **Get a list of attachments associated with a dispute** ```bash curl https://balanceplatform-api-test.adyen.com/btl/api/v4/disputes/40QH6J64D0HK7ZLG/attachments \ -H 'content-type: application/json' \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -X GET ``` 2. The response contains all attachments associated with the dispute. **Response** ```json [ { "id": "TXAT42225223223N5LNW4CL9S22KNM", "fileName": "240312KLA01.jpeg" }, { "id": "TXAT42225223223N5LNW4CL9S32PFZ", "fileName": "240316UAL02.jpeg" }, { "id": "TXAT42225223223N5LNW5PC9S62DSH", "fileName": "240328UAL03.jpeg" } ] ``` ## Delete an attachment You may want to delete an attachment associated with a dispute in some cases. For example, your cardholder uploaded the wrong attachment and wants to remove it from the dispute. Adyen may retain files attached to disputes for auditing and compliance purposes. To delete an attachment: 1. Make a DELETE [/disputes/{disputeId}/attachments/{attachmentId}](https://docs.adyen.com/api-explorer/transfers-api/latest/delete/disputes/\(disputeId\)/attachments/\(attachmentId\)) request, specifying the [disputeId](https://docs.adyen.com/api-explorer/transfers-api/latest/delete/disputes/\(disputeId\)/attachments/\(attachmentId\)#path-disputeId) and [attachmentId](https://docs.adyen.com/api-explorer/transfers-api/latest/delete/disputes/\(disputeId\)/attachments/\(attachmentId\)#path-attachmentId) as path parameters. **Remove an attachment from a dispute** ```bash curl https://balanceplatform-api-test.adyen.com/btl/api/v4/disputes/40QH6J64D0HK7ZLG/attachments/HY54TH87HT90FFG9 \ -H 'content-type: application/json' \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -X DELETE \ -d ``` 2. Check that you receive an **HTTP 204 - No Content** status code as a response. This indicates that your request to delete the attachment was successful. If you want to upload a file attachment you recently deleted from a dispute, make sure to provide a unique name for the file before you upload it. ## See also * [Lifecycle of a raised dispute](/issuing/raise-disputes#lifecycle-of-a-raised-dispute) * [Associating IDs throughout the dispute lifecycle](/issuing/raise-disputes#associating-ids-throughout-the-dispute-lifecycle) * [Manage disputes](/issuing/raise-disputes/)